Fix procd config sh (#639)
-
tree-wide: fix config.sh for all procd enabled init
-
baidudrive: update deps and desc
diff --git a/applications/app-meta-baidudrive/Makefile b/applications/app-meta-baidudrive/Makefile
index d57c05b..435c7a0 100644
--- a/applications/app-meta-baidudrive/Makefile
+++ b/applications/app-meta-baidudrive/Makefile
@@ -3,12 +3,12 @@
include $(TOPDIR)/rules.mk
PKG_VERSION:=1.0.0
-PKG_RELEASE:=2
+PKG_RELEASE:=3
META_TITLE:=百度网盘
META_TITLE.en:=BaiduDrive
-META_DEPENDS:=+luci-app-baidudrive +baidudrive
-META_DESCRIPTION:=百度网盘 Web 管理工具
-META_DESCRIPTION.en:=Baidu Netdisk Web UI
+META_DEPENDS:=+luci-i18n-baidudrive-zh-cn +luci-app-baidudrive +baidudrive
+META_DESCRIPTION:=百度网盘 iStoreOS 版
+META_DESCRIPTION.en:=BaiduDrive for iStoreOS. BaiduDrive is a netdisk provided by Baidu.com
META_AUTHOR:=linkease
META_ARCH:=x86_64 aarch64
META_TAGS:=nas service
diff --git a/applications/app-meta-baidudrive/config.sh b/applications/app-meta-baidudrive/config.sh
index ef0d563..34e5b67 100644
--- a/applications/app-meta-baidudrive/config.sh
+++ b/applications/app-meta-baidudrive/config.sh
@@ -2,10 +2,8 @@
[ -z "$ISTORE_CONF_DIR" ] && exit 1
ENABLED=1
-ISTORE_ACTION=start
if [ -n "$ISTORE_DONT_START" ]; then
ENABLED=0
- ISTORE_ACTION=stop
fi
mkdir -p "$ISTORE_CONF_DIR/BaiduDrive" || exit 1
@@ -16,4 +14,4 @@ uci -q batch <<-EOF >/dev/null || exit 1
commit baidudrive
EOF
-/etc/init.d/baidudrive $ISTORE_ACTION || [ stop = $ISTORE_ACTION ]
+/etc/init.d/baidudrive restart || true
diff --git a/applications/app-meta-istoreenhance/Makefile b/applications/app-meta-istoreenhance/Makefile
index 653ec86..fd13942 100644
--- a/applications/app-meta-istoreenhance/Makefile
+++ b/applications/app-meta-istoreenhance/Makefile
@@ -3,7 +3,7 @@
include $(TOPDIR)/rules.mk
PKG_VERSION:=0.7.5
-PKG_RELEASE:=1
+PKG_RELEASE:=2
META_TITLE:=KSpeeder(原iStore增强)
META_TITLE.en:=KSpeeder(iStoreEnhance)
META_DEPENDS:=+istoreenhance +luci-app-istoreenhance +luci-i18n-istoreenhance-zh-cn
diff --git a/applications/app-meta-istoreenhance/config.sh b/applications/app-meta-istoreenhance/config.sh
index 6b21e91..d5bfe1b 100755
--- a/applications/app-meta-istoreenhance/config.sh
+++ b/applications/app-meta-istoreenhance/config.sh
@@ -2,21 +2,16 @@
[ -z "$ISTORE_CONF_DIR" ] && exit 1
ENABLED=1
-ISTORE_ACTION=start
if [ -n "$ISTORE_DONT_START" ]; then
ENABLED=0
- ISTORE_ACTION=stop
fi
+mkdir -p "$ISTORE_CONF_DIR/iStoreEnhance" || exit 1
+
uci -q batch <<-EOF >/dev/null || exit 1
- mkdir $ISTORE_CONF_DIR/iStoreEnhance
set istoreenhance.@istoreenhance[0].enabled=$ENABLED
- set istoreenhance.@istoreenhance[0].cache='$ISTORE_CONF_DIR/iStoreEnhance'
+ set istoreenhance.@istoreenhance[0].cache="$ISTORE_CONF_DIR/iStoreEnhance"
commit istoreenhance
EOF
-if [ -f /etc/init.d/istoreenhance ]; then
- /etc/init.d/istoreenhance $ISTORE_ACTION || [ stop = $ISTORE_ACTION ]
-else
- /etc/init.d/istoreenhance $ISTORE_ACTION || [ stop = $ISTORE_ACTION ]
-fi
+/etc/init.d/istoreenhance restart || true
diff --git a/applications/app-meta-kai/Makefile b/applications/app-meta-kai/Makefile
index 927faed..e0571ca 100644
--- a/applications/app-meta-kai/Makefile
+++ b/applications/app-meta-kai/Makefile
@@ -3,7 +3,7 @@
include $(TOPDIR)/rules.mk
PKG_VERSION:=1.0.2
-PKG_RELEASE:=1
+PKG_RELEASE:=2
META_TITLE:=酷友社KAI
META_TITLE.en:=kai
META_DEPENDS:=+luci-app-kai +kai +kai_session
diff --git a/applications/app-meta-kai/config.sh b/applications/app-meta-kai/config.sh
index ca3265a..29476f2 100755
--- a/applications/app-meta-kai/config.sh
+++ b/applications/app-meta-kai/config.sh
@@ -2,10 +2,8 @@
[ -z "$ISTORE_CONF_DIR" ] && exit 1
ENABLED=1
-ISTORE_ACTION=start
if [ -n "$ISTORE_DONT_START" ]; then
ENABLED=0
- ISTORE_ACTION=stop
fi
mkdir -p "$ISTORE_CONF_DIR/KAI" || exit 1
@@ -16,4 +14,4 @@ uci -q batch <<-EOF >/dev/null || exit 1
commit kai
EOF
-/etc/init.d/kai $ISTORE_ACTION || [ stop = $ISTORE_ACTION ]
+/etc/init.d/kai restart || true
GitHub
sha: 5ce695266210f556f743062e9f4bc77376977efd